Loading...
Searching...
No Matches
osmium::index::multimap::HybridIterator< TId, TValue > Class Template Reference

`#include <hybrid.hpp>`

## Public Member Functions

| HybridIterator (typename main_map_type::iterator begin_main, typename main_map_type::iterator end_main, typename extra_map_type::iterator begin_extra, typename extra_map_type::iterator end_extra)
| ~HybridIterator () noexcept=default
HybridIterator & | operator++ ()
HybridIterator< TId, TValue > | operator++ (int)
bool | operator== (const HybridIterator &rhs) const
bool | operator!= (const HybridIterator &rhs) const
const element_type & | operator* ()
const element_type * | operator-> ()

## Private Types

using | main_map_type = SparseMemArray<TId, TValue>
using | extra_map_type = SparseMemMultimap<TId, TValue>
using | element_type = typename std::pair<TId, TValue>

## Private Attributes

main_map_type::iterator | m_begin_main
main_map_type::iterator | m_end_main
extra_map_type::iterator | m_begin_extra
extra_map_type::iterator | m_end_extra

## Member Typedef Documentation

## element_type

template<typename TId, typename TValue>

using osmium::index::multimap::HybridIterator< TId, TValue >::element_type = typename std::pair<TId, TValue>

private

## extra_map_type

template<typename TId, typename TValue>

using osmium::index::multimap::HybridIterator< TId, TValue >::extra_map_type = SparseMemMultimap<TId, TValue>

private

## main_map_type

template<typename TId, typename TValue>

using osmium::index::multimap::HybridIterator< TId, TValue >::main_map_type = SparseMemArray<TId, TValue>

private

## Constructor & Destructor Documentation

## HybridIterator()

template<typename TId, typename TValue>

osmium::index::multimap::HybridIterator< TId, TValue >::HybridIterator | ( | typename main_map_type::iterator | begin_main,
|  | typename main_map_type::iterator | end_main,
|  | typename extra_map_type::iterator | begin_extra,
|  | typename extra_map_type::iterator | end_extra )

inline

## ~HybridIterator()

template<typename TId, typename TValue>

osmium::index::multimap::HybridIterator< TId, TValue >::~HybridIterator | ( |  | ) |

defaultnoexcept

## Member Function Documentation

## operator!=()

template<typename TId, typename TValue>

bool osmium::index::multimap::HybridIterator< TId, TValue >::operator!= | ( | const HybridIterator< TId, TValue > & | rhs | ) | const

inline

## operator*()

template<typename TId, typename TValue>

const element_type & osmium::index::multimap::HybridIterator< TId, TValue >::operator* | ( |  | ) |

inline

## operator++() [1/2]

template<typename TId, typename TValue>

HybridIterator & osmium::index::multimap::HybridIterator< TId, TValue >::operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename TId, typename TValue>

HybridIterator< TId, TValue > osmium::index::multimap::HybridIterator< TId, TValue >::operator++ | ( | int |  | ) |

inline

## operator->()

template<typename TId, typename TValue>

const element_type * osmium::index::multimap::HybridIterator< TId, TValue >::operator-> | ( |  | ) |

inline

## operator==()

template<typename TId, typename TValue>

bool osmium::index::multimap::HybridIterator< TId, TValue >::operator== | ( | const HybridIterator< TId, TValue > & | rhs | ) | const

inline

## Member Data Documentation

## m_begin_extra

template<typename TId, typename TValue>

extra_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_begin_extra

private

## m_begin_main

template<typename TId, typename TValue>

main_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_begin_main

private

## m_end_extra

template<typename TId, typename TValue>

extra_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_end_extra

private

## m_end_main

template<typename TId, typename TValue>

main_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_end_main

private

The documentation for this class was generated from the following file:

- include/osmium/index/multimap/hybrid.hpp